Create a Planned Gift
curl --request POST \
--url https://api.virtuoussoftware.com/api/PlannedGift \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/PlannedGift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift"
payload = {
"contactId": "<integer>",
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'plannedGiftDate' => '<dateTime>',
'plannedGiftType' => '<string>',
'frequency' => 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
'anticipatedAmount' => '<double>',
'anticipatedStartDate' => '<dateTime>',
'numberOfOccurrences' => '<integer>',
'currentValue' => '<double>',
'contactIndividualId' => '<integer>',
'assignedUserId' => '<integer>',
'projectId' => '<integer>',
'segmentId' => '<integer>',
'thankYouDate' => '<dateTime>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/PlannedGift")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850512,
"contactIndividualId": 200789,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200789",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512/Gifts",
"contactId": 100789,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100789",
"plannedGiftDate": "2025-11-15",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "50000.00",
"anticipatedStartDate": "2040-01-01",
"numberOfOccurrences": 1,
"currentValue": "50000.00",
"fulfilled": "false",
"projectId": 1004,
"project": "Capital Campaign Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1004",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-11-15T17:20:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:20:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Planned Gifts
Create a Planned Gift
POST
/
api
/
PlannedGift
Create a Planned Gift
curl --request POST \
--url https://api.virtuoussoftware.com/api/PlannedGift \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/PlannedGift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift"
payload = {
"contactId": "<integer>",
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'plannedGiftDate' => '<dateTime>',
'plannedGiftType' => '<string>',
'frequency' => 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
'anticipatedAmount' => '<double>',
'anticipatedStartDate' => '<dateTime>',
'numberOfOccurrences' => '<integer>',
'currentValue' => '<double>',
'contactIndividualId' => '<integer>',
'assignedUserId' => '<integer>',
'projectId' => '<integer>',
'segmentId' => '<integer>',
'thankYouDate' => '<dateTime>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/PlannedGift")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850512,
"contactIndividualId": 200789,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200789",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512/Gifts",
"contactId": 100789,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100789",
"plannedGiftDate": "2025-11-15",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "50000.00",
"anticipatedStartDate": "2040-01-01",
"numberOfOccurrences": 1,
"currentValue": "50000.00",
"fulfilled": "false",
"projectId": 1004,
"project": "Capital Campaign Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1004",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-11-15T17:20:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:20:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?